Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.webcommon30
Interface FormLoginConfigType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  FormLoginConfigTypeImpl

    public interface FormLoginConfigType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `form-login-configType` xsd type

Original Documentation:

The form-login-configType specifies the login and error
pages that should be used in form based login. If form based
authentication is not used, these elements are ignored.
Used in: login-config

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getFormErrorPage()` Returns the `form-error-page` element
`java.lang.String` | `getFormLoginPage()` Returns the `form-login-page` element
`FormLoginConfigType<T>` | `removeFormErrorPage()` Removes the `form-error-page` element
`FormLoginConfigType<T>` | `removeFormLoginPage()` Removes the `form-login-page` element
`FormLoginConfigType<T>` | `setFormErrorPage(java.lang.String formErrorPage)` If not already created, a new `form-error-page` element with the given value will be created.
`FormLoginConfigType<T>` | `setFormLoginPage(java.lang.String formLoginPage)` If not already created, a new `form-login-page` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setFormLoginPage

    FormLoginConfigType<T> setFormLoginPage(java.lang.String formLoginPage)

  If not already created, a new `form-login-page` element with the given value will be created. Otherwise, the existing `form-login-page` element will be updated with the given value.

  Returns:
    the current instance of `FormLoginConfigType`

### removeFormLoginPage

    FormLoginConfigType<T> removeFormLoginPage()

  Removes the `form-login-page` element

  Returns:
    the current instance of `FormLoginConfigType`

### getFormLoginPage

    java.lang.String getFormLoginPage()

  Returns the `form-login-page` element

  Returns:
    the node defined for the element `form-login-page`

### setFormErrorPage

    FormLoginConfigType<T> setFormErrorPage(java.lang.String formErrorPage)

  If not already created, a new `form-error-page` element with the given value will be created. Otherwise, the existing `form-error-page` element will be updated with the given value.

  Returns:
    the current instance of `FormLoginConfigType`

### removeFormErrorPage

    FormLoginConfigType<T> removeFormErrorPage()

  Removes the `form-error-page` element

  Returns:
    the current instance of `FormLoginConfigType`

### getFormErrorPage

    java.lang.String getFormErrorPage()

  Returns the `form-error-page` element

  Returns:
    the node defined for the element `form-error-page`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD